/*!
 * This file is part of the DATAtourisme project.
 * 2022
 * @author Conjecto <contact@conjecto.com>
 * SPDX-License-Identifier: GPL-3.0-or-later
 * For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 */ 
@import "vendors/jstree";

$input-color-placeholder: #999 !default;
$brand-danger: #d9534f !default;


xpath-input {
  .placeholder,
  .placeholder:hover {
    color: $input-color-placeholder;
    text-decoration: none;
  }

  .form-control {
    position: relative;
    cursor: pointer;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    //word-wrap:break-word;
    //height: auto;
    span {
      font-family: $font-family-monospace;
    }

    span.label {
      font-weight: normal;
      padding: .2em .3em .3em;
      position: relative;
      top: -2px;
      margin-left: -6px;
    }
  }

  .action-reset {
    position: relative;
    z-index: 1;
    cursor: pointer;
    float:right;
    color:$input-color-placeholder;
    padding:0 8px;
    margin-right: -8px;
    &:hover {
      color: $brand-danger;
    }
  }
}

.xpath-editor {


  @import "components/jstree";
  @import "components/ngdialog";
  @import "components/navigator";
  @import "components/predicates";
  @import "components/expert";
  @import "components/atomic-chain-editor";
  @import "components/extract-preview";

  @import "components/typeahead";

  position: relative;
  padding: 0px;
  background: #EEE;

  > .row {
    margin: 0;
    > div:first-child {
      height: 100%;
      background: #EEE;
      padding:0
    }
    > div ~ div {
      background: #FFF;
    }
  }

  .tab-content {
    padding:0px;
    min-height: 250px;
    h2 {
      font-size: 18px;
      margin-top: 0px;
    }
  }

  [auto-max-height] {
    overflow-y: auto;
  }

  .menu-list-group {
    margin-bottom: 0;
    .list-group-item {
      border-radius: 0 !important;
      font-weight: bold;
      //border:0px;
      border-left:0px;
      border-right:0px;
      padding: 10px 10px;
      background: transparent;
      &:hover {
        background: #DDD;
      }
      &.active {
        background: #FFF;
        color:#000;
        border-color: #ddd;
        >.badge {
          background: #777;
          color:#FFF;
        }
      }
      &.disabled {
        color:#AAA;
        //pointer-events: none;
        &:hover {
          background: transparent;
        }
      }
    }
    .list-group-section {
      .list-group-section-title {
        padding: 10px 10px;
        margin-bottom: -1px;
        color: #555;
        font-weight: bold;
      }
      .list-group-item {
        padding: 8px 10px 8px 25px;
        border:0px;
        font-weight: normal;
      }
    }
  }
}